Docs / Using the API

Errors

List the errors logged across a team's environments.

  1. Endpoint
  2. Query parameters
  3. Example request
  4. Example response

Returns the errors logged across the environments belonging to a team, most recent first.

Endpoint

GET /api/{team}/errors

Required ability: errors:read

Query parameters

Parameter Type Default Maximum Description
per_page integer 20 50 Number of objects per page.
page integer 1 N/A The page to retrieve.

Example request

curl "https://rocketeersapp.com/api/your-team/errors?per_page=20" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"

Example response

{
  "data": [
    {
      "id": 1,
      "message": "Undefined array key \"user\"",
      "class": "ErrorException",
      "file": "app/Http/Controllers/DashboardController.php",
      "line": 42,
      "occurrences": 17,
      "last_occurred_at": "2026-06-23T18:42:11+00:00",
      "resolved_at": null
    },
    {
      "id": 2,
      "message": "SQLSTATE[HY000]: Connection refused",
      "class": "PDOException",
      "file": "vendor/laravel/framework/src/Illuminate/Database/Connectors/Connector.php",
      "line": 70,
      "occurrences": 3,
      "last_occurred_at": "2026-06-20T02:15:00+00:00",
      "resolved_at": "2026-06-20T03:00:00+00:00"
    }
  ],
  "links": {
    "first": "https://rocketeersapp.com/api/your-team/errors?page=1",
    "last": "https://rocketeersapp.com/api/your-team/errors?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "per_page": 20,
    "to": 6,
    "total": 6,
    "path": "https://rocketeersapp.com/api/your-team/errors"
  },
  "results": 6,
  "served_in": "10.66ms"
}